Bug 696728 - Change from sysvinit to systemd caused sssd to not be automatically started
Change from sysvinit to systemd caused sssd to not be automatically started
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sssd (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephen Gallagher
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-14 14:04 EDT by Eric Paris
Modified: 2011-04-21 22:19 EDT (History)
5 users (show)

See Also:
Fixed In Version: sssd-1.5.6-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-21 22:19:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Paris 2011-04-14 14:04:13 EDT
I updated to sssd-1.5.5-2.fc15.x86_64

Before the update sssd autostarted on boot.  After the update sssd did not start on boot.  I ran "systemctl enable sssd" and on the next boot sssd started and worked.

From looking at my yum log I believe the old version of sssd was:

sssd-1.5.4-1.fc15.x86_64

But I cannot be completely certain of that fact.
Comment 1 Fedora Update System 2011-04-14 16:37:37 EDT
sssd-1.5.5-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/sssd-1.5.5-3.fc15
Comment 2 Fedora Update System 2011-04-15 00:31:22 EDT
Package sssd-1.5.5-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sssd-1.5.5-3.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/sssd-1.5.5-3.fc15
then log in and leave karma (feedback).
Comment 3 Orion Poplawski 2011-04-17 14:37:33 EDT
Did not start on my system with 1.5.5-3.fc15.

sssd.service - System Security Services Daemon
          Loaded: loaded (/lib/systemd/system/sssd.service)
          Active: inactive (dead)
          CGroup: name=systemd:/system/sssd.service
# systemctl enable sssd.service
ln -s '/lib/systemd/system/sssd.service' '/etc/systemd/system/multi-user.target.wants/sssd.service'
Comment 4 Fedora Update System 2011-04-20 23:00:54 EDT
Package sssd-1.5.6-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sssd-1.5.6-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/sssd-1.5.6-1.fc15
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-04-21 22:19:44 EDT
sssd-1.5.6-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.